Products
Get Products
Retrieves a paginated list of products for a tenant.
Authorization
api_key api-key<token>
In: header
Query Parameters
tenantAlias*string
Merchant identifier for multi-tenant access
limit?number
Maximum number of products to return
Format
doublecursor?string
Pagination cursor for retrieving next page
order?string
Sort order for results
Value in
"asc" | "desc"Response Body
application/json
application/json
curl -X GET "https://api.paynowpro.com/api/v1/products?tenantAlias=string"{
"nextCursor": "string",
"data": [
{
"id": "string",
"groupId": "string",
"tenantAlias": "string",
"name": "string",
"active": true,
"description": "string",
"metadata": {
"property1": null,
"property2": null
},
"expiresAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}